package net.sf.seaf.persistence.exception;

import java.io.Serializable;

import net.sf.seaf.persistence.Entity;

public class InvalidPropertyNameException extends SeafPersistenceException {

	public InvalidPropertyNameException(Entity<? extends Serializable> entity,
			String propertyName) {
		super("Property "
				+ ((null == entity) ? null : entity.getClass().getSimpleName())
				+ "." + propertyName + " was not resolved.");
	}

	private static final long serialVersionUID = 1L;

}
