package net.sf.seaf.persistence.exception;

/**
 * Thrown when {@link net.sf.seaf.persistence.util.RelationBinder} cannot bind a
 * property on a bean.
 */
public class RelationBindingException extends SeafPersistenceException {

	/**
	 * Full constructor.
	 * 
	 * @param message
	 *            Exception message
	 * @param cause
	 *            Cause exception
	 */
	public RelationBindingException(String message, Throwable cause) {
		super(message, cause);
	}

	private static final long serialVersionUID = 1L;

}
